Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Atk::TextRectangle Class Reference

An AtkTextRectangle C++ wrapper class. More...

`#include <xfc/atk/text.hh>`

List of all members.

## Public Member Functions

Constructors

- TextRectangle ()
    Construct a with its x, y, width and height set to 0;.
- TextRectangle (int x, int y, int width, int height)
    Construct a new text rectangle.
- TextRectangle (const AtkTextRectangle &rectangle)
    Construct a new text rectangle from an existing AtkTextRectangle.

Accessors

- AtkTextRectangle * atk_text_rectangle () const
    Get a pointer to the AtkTextRectangle structure.
- operator AtkTextRectangle * () const
    Conversion operator; safely converts a TextRectangle to a AtkTextRectangle pointer.
- int x () const
    Returns the X coordinate of the top-left corner of the text rectangle.
- int y () const
    Returns the Y coordinate of the top-left corner of the text rectangle.
- int width () const
    Returns the width of the text rectangle.
- int height () const
    Returns the height of the text rectangle.

Methods

- void set (int x, int y, int width, int height)
    Sets the position and size of the text rectangle.

## Detailed Description

An AtkTextRectangle C++ wrapper class.

TextRectangle represents an object used to store a rectangle used by Atk::Text. It uses default copy, assignment and destruction.

## Constructor & Destructor Documentation

Xfc::Atk::TextRectangle::TextRectangle | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |

Construct a new text rectangle.

Parameters:

  | x | The X coordinate of the text rectangle.
  | y | The Y coordinate of the text rectangle.
  | width | The width of the text rectangle.
  | height | The height of the text rectangle.

Xfc::Atk::TextRectangle::TextRectangle | ( | const AtkTextRectangle & | rectangle | ) |

Construct a new text rectangle from an existing AtkTextRectangle.

Parameters:

  | rectangle | A AtkTextRectangle.

## Member Function Documentation

void Xfc::Atk::TextRectangle::set | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |

Sets the position and size of the text rectangle.

Parameters:

  | x | The new X coordinate of the text rectangle.
  | y | The new Y coordinate of the text rectangle.
  | width | The new width of the text rectangle.
  | height | The new height of the text rectangle.

The documentation for this class was generated from the following file:

- text.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3